
QGIS Application - Bug report #3538

Save layer as "GeoJSON" loosed projection information

2011-03-02 06:43 AM - springmeyer -

Status: Closed

Priority: Low

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 13598

Description

If you export vector data from QGIS using Layer > Save layer as... and choose [[GeoJSON]] as a format the data is exported without a

"crs" property.

In my case my data (originally a shapefile) is in Google Mercator, and I chose "Original CRS". I also tested with data in WGS 84 and tried

setting the output CRS to something custom, BC Albers, but still no projection definition was written. I confirmed this by looking through

the outputted geojson with a text editor and also by calling ogrinfo -so -al <json> and seeing that ogr wrongly reports WGS84 (as assume

this is the case because this is the default according to the [[GeoJSON]] spec).

I am running QGIS 1.6 on OS X

History

#1 - 2011-12-16 01:49 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-16 06:26 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

#3 - 2012-09-04 11:59 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2014-06-28 07:38 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#5 - 2015-11-20 03:56 AM - Médéric RIBREUX

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- % Done changed from 0 to 100

- Resolution set to fixed/implemented

Hello, bug triage...

this is not the case anymore in QGIS 2.13:

"crs": { "type": "name", "properties": { "name": "urn:ogc:def:crs:EPSG::23030" } },
I am closing this bug.
